<?php
namespace Claromentis\Core\Config\Events;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_d706c160e45bf7" . "434fff82a5976f0" . "e19" => base64_decode("YXJyYXlfa2V" . "5cw=="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Config\LayeredConfig;
use Claromentis\Core\Config\WritableConfig;
use Claromentis\Core\Event\Event;




class ConfigUpdateEvent extends Event
{
    
    
    
    
    
    
    protected Config $config;
    
    
    
    
    
    
    protected array $previousValues;
    
    
    
    
    
    
    protected array $currentValues;
    
    
    
    
    
    
    public function __construct(Config $config, array $_8c3ab09b3b48146f1b2f7a9475b96f86 = [], array $_e4755d2d4c4cef067aac894900cee333 = [])
    {
        $this->setConfig($config);
        $this->setCurrentValues($_e4755d2d4c4cef067aac894900cee333);
        $this->setPreviousValues($_8c3ab09b3b48146f1b2f7a9475b96f86);
    }
    
    
    
    
    
    
    
    
    public function getConfig() : Config
    {
        return $this->config;
    }
    
    
    
    
    
    
    public function getKeys() : array
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_d706c160e45b" . "f7434fff82a59" . "76f0e19"]($this->currentValues);
    }
    
    
    
    
    
    
    public function getCurrentValues() : array
    {
        return $this->currentValues;
    }
    
    
    
    
    
    
    public function getPreviousValues() : array
    {
        return $this->previousValues;
    }
    
    
    
    
    
    
    private function setConfig(Config $config) : void
    {
        $this->config = $config;
    }
    
    
    
    
    
    
    private function setPreviousValues(array $values) : void
    {
        $this->previousValues = $values;
    }
    
    
    
    
    
    
    private function setCurrentValues(array $values) : void
    {
        $this->currentValues = $values;
    }
}